# SPDX-FileCopyrightText: 2023 The Tor Project, Inc.
#
# SPDX-License-Identifier: BSD-3-Clause

image: python:3.10-bullseye

stages:
  - test

test:bandit:
  stage: test
  script:
    - pip install -r requirements.txt
    - pip install bandit
    - bandit -r OnionSproutsBot

test:mypy:
  stage: test
  script:
    - pip install -r requirements.txt
    - pip install -r requirements-types.txt
    - pip install mypy
    - mypy OnionSproutsBot
